cbuffer ObjectBuffer : register(b1)
{
    float4 myColor : COLOR;
    float4x4 myTransform : TRANSFORM;
}

struct VertexInput
{
    float4 myPosition : POSITION;
    float4 myUV : UV;
    float2 mySize : SIZE;
};

struct VertexToGeometry
{
    float4 myPosition : POSITION;
    float4 myUV : UV;
    float2 mySize : SIZE;
};

struct GeometryToPixel
{
    float4 myPosition : SV_POSITION;
    float2 myUV : UV;
};

struct PixelOutput
{
    float4 myColor : SV_TARGET;
};