#include "..\Globals.hlsli"
#include "..\ParticleShaderStructs.hlsli"

Texture2D tex : register(t0);
Texture2D emissive : register(t1);
Texture2D normal : register(t2);

PixelOutput main(GeometryToPixel input)
{
    PixelOutput result;
    float4 color = tex.Sample(defaultClampSampler, input.myUV);
    float4 emissiveColor = emissive.Sample(defaultClampSampler, input.myUV);
    result.myColor =  color * input.myColor;
    return result;
}