#include "..\Globals.hlsli"
#include "..\GBufferInput.hlsli"

Texture2D texture0 : register(t20);

PixelOutput main(VertexToPixel input)
{
	PixelOutput output;
    float3 screenColor = texture0.SampleLevel(defaultClampSampler, input.myUV, 0).rgb; // Screen
    output.myColor.rgb = LUTTexture.SampleLevel(defaultClampSampler, screenColor, 0); // LUT from engine
	output.myColor.a = 1.f;

	return output;

}
