#include "..\Globals.hlsli"
#include "..\GBufferInput.hlsli"

Texture2D texture0 : register(t20);

PixelOutput main(VertexToPixel input)
{
	//float Falloff = 0.25;
    float4 Color = texture0.Sample(defaultClampSampler, input.myUV);
	//1
	//float2 coord = (input.myUV - 0.5) * (1920 / 1080) * 2.0;
	//float rf = sqrt(dot(coord, coord)) * Falloff;
	//float rf2_1 = rf * rf + 1.0;
	//float e = 1.0 / (rf2_1 * rf2_1);
	//
	//float4 src = float4(1.0, 1.0, 1.0, 1.0);
	//Color = float4(src.rgb * e, 1.0);

	//2
	//input.myUV *= 1.0 - input.myUV.yx;   //vec2(1.0)- uv.yx; -> 1.-u.yx; Thanks FabriceNeyret !
	//
	//float vig = input.myUV.x*input.myUV.y * Falloff; // multiply with sth for intensity
	//
	//vig = pow(vig, Falloff); // change pow for modifying the extend of the  vignette


	//Color.rgba = float4(vig,vig,vig,vig);

	//3

	float OuterVig = 1.0; // Position for the Outer vignette

	float InnerVig = 0.5; // Position for the inner Vignette Ring

	float2 center = float2(0.5, .5); // Center of Screen

	float dist = distance(center, input.myUV)*1.414213; // Distance  between center and the current Uv. Multiplyed by 1.414213 to fit in the range of 0.0 to 1.0 

	float vig = clamp((OuterVig - dist) / (OuterVig - InnerVig), 0.0, 1.0); // Generate the Vignette with Clamp which go from outer Viggnet ring to inner vignette ring with smooth steps

	Color *= vig; // Multiply the Vignette with the texture color
    //Color.r *= 1 + playerDamagedTimer;

    PixelOutput output;
    output.myColor = Color;
	return output;
}