#include "..\Globals.hlsli"
#include "..\GBufferInput.hlsli"

Texture2D texture0 : register(t20);

PixelOutput main(VertexToPixel input)
{
	PixelOutput output;
	float INCREMENT = 1.0f;
    output.myColor.rgba = texture0.Sample(defaultClampSampler, input.myUV).rgba;

	output.myColor.r = pow(abs(output.myColor.r), INCREMENT);
	output.myColor.g = pow(abs(output.myColor.g), INCREMENT);
    output.myColor.b = pow(abs(output.myColor.b), INCREMENT);

	return output;
}