#include "..\Globals.hlsli"
#include "..\GBufferInput.hlsli"

Texture2D texture0 : register(t20); 

DepthOutput main(VertexToPixel input)
{
    float3 texColor = texture0.Sample(defaultClampSampler, input.myUV);
    if (texColor.r == 0)
    {
        discard;
    }
    DepthOutput output;
    output.myDepth = texColor.r;
    return output;
}