#include "..\Globals.hlsli"
#include "..\GBufferInput.hlsli"

Texture2D texture0 : register(t20);

float scanline(float2 uv, float lines, float speed)
{
	return sin(uv.y * lines + 0 * speed);
}
PixelOutput main(VertexToPixel input)
{
	float speed = -50;
	float scanlineSize1 = 500; 
	float scanlineSize2 = 500;
	PixelOutput output;

	float4 Col = texture0.Sample(defaultClampSampler, input.myUV).rgba;
	
	//float scanline = sin(input.myUV.y*800)*0.04;
	//
	//Color -= float(scanline*2.1);

	float s1 = scanline(input.myUV, scanlineSize1, speed);
	float s2 = scanline(input.myUV, scanlineSize2, speed);
	float4 temp = float(s1 + s2);
	temp *= .1; //COlor amoot
	Col.rgb = lerp(Col.rgb, temp.rgb, 0.05f);
	output.myColor.rgb = Col.rgb;
	return output;
}