#include "..\Globals.hlsli"
#include "..\ParticleShaderStructs.hlsli"

VertexToGeometry main(VertexInput input)
{
///	float4 bla = tocam
    float4 viewPos = mul(toCamera, float4(input.myPosition.xyz + input.myParentPosition, input.myPosition.w));
 
    VertexToGeometry output;
	output.myPosition = viewPos;
    output.myColor = input.myColor;
    output.mySize = input.mySize * input.myParentSize.xy;
    output.myQuadRotation = input.myRotation;
    output.myLifeTime = input.myLifeTime;
    output.myInitialLifeTime = input.myInitialLifeTime;
    output.myRandom = input.myRandom;

    return output;
}