cbuffer ObjectBuffer : register(b1)
{
    float4 myColor : COLOR;
    float myRotation : ROTATION;
    float unused[15] : UNUSED;
}

struct VertexInput
{
    float4 myPosition : POSITION;
    float4 myUV : UV;
    float2 mySize : SIZE;
};

struct VertexToGeometry
{
    float3x3 myTransformMatrix : TRANSFORM;
    float3 myPosition : POSITION;
    float4 myUV : UV;
};

struct GeometryToPixel
{
    float4 myPosition : SV_POSITION;
    float2 myUV : UV;
};

struct PixelOutput
{
    float4 myColor : SV_TARGET;
};