#include "..\Globals.hlsli"

// in
struct GeometryToPixel
{
    float4 myPosition : SV_POSITION;
    float2 myUV : UV;
    float4 myColor : COLOR;
};

// out
struct PixelOutput
{
    float4 myColor : SV_TARGET;
};

Texture2D tex : register(t0);

PixelOutput main(GeometryToPixel input)
{
    PixelOutput result;
    result.myColor = tex.Sample(defaultClampSampler, input.myUV).rgba * input.myColor;
    return result;
}