#include "..\Globals.hlsli"
#include "..\GBufferInput.hlsli"

Texture2D texture0 : register(t20); 
Texture2D luminanceTex : register(t21);

PixelOutput main(VertexToPixel input)
{
    PixelOutput output;
    float3 texColor = texture0.Sample(defaultClampSampler, input.myUV);
    float3 lumColor = luminanceTex.Sample(defaultClampSampler, input.myUV);
    //1
    //{
    //    output.myColor.rgb = texColor0 + texColor1;
    //}
    ////2
    //{
    //    texColor0 *= (1.0f - saturate(texColor1));
    //    output.myColor.rgb = texColor0 + texColor1;
    //}
    ///3
    {
        float3 texNColor = normalize(texColor);
        float luminance = dot(texNColor, float3(0.2126f, 0.7152f, 0.0722f));
        lumColor *= (1.0f - luminance);
        output.myColor.rgb = lumColor;
    }
   output.myColor.a = 1.0f;
    return output;
}