#include "..\Globals.hlsli"
#include "..\GBufferInput.hlsli"

Texture2D texture0 : register(t20); 

DepthOutput main(VertexToPixel input)
{
    DepthOutput output;
    float texColor = texture0.Sample(defaultClampSampler, input.myUV).r;
    float sampledDepthBuffer = ProjectedDepth(input);
    output.myDepth = (float(texColor != sampledDepthBuffer)) * texColor;
    return output;
}