#include "..\Globals.hlsli"
#include "..\GBufferOutput.hlsli"
#include "..\ModelShaderStructs.hlsli"

Texture2D colorTex : register(t0);

cbuffer ObjectBuffer : register(b1)
{
    float4x4 toWorld;
    float health;
}

//Texture2D albedoTex : register(t0);

GBufferOutput main(VertexToPixel input)
{
    PixelOutput result;							

	float2  mynewUV = input.myUV.xy;
	mynewUV.x = health;
    float4 clearColor = float4(0.1, 0.1, 0.1, 1);
	float4 HealthColor = float4(1,0,0,1);
	float healthMash = step(input.myUV.y,health );
	float4 albedo = lerp(clearColor, HealthColor, healthMash);
	GBufferOutput output;
	output.myColor = albedo;
    return output;
}