#include "..\ParticleShaderStructs.hlsli"

VertexToGeometry main(VertexInput input)
{
    VertexToGeometry output;
    output.myPosition = input.myPosition + float4(input.myParentPosition, 0);
    output.myColor = input.myColor;
    output.mySize = input.mySize * input.myParentSize.xy;
    output.myQuadRotation = input.myRotation;
    output.myWorldRotation = input.myParentRotation;
    output.myLifeTime = input.myLifeTime;
    output.myInitialLifeTime = input.myInitialLifeTime;
    output.myRandom = input.myRandom;

    return output;
}
